Skip to main content
GET
/
orgs
/
{identifier}
/
stats
Get organization aggregate stats
curl --request GET \
  --url https://teambattles.gg/api/v1/orgs/{identifier}/stats \
  --header 'Authorization: Bearer <token>'
{
  "stats": {
    "organizationId": "<string>",
    "teams": 4503599627370495,
    "members": 4503599627370495,
    "matchesPlayed": 4503599627370495,
    "wins": 4503599627370495,
    "losses": 4503599627370495,
    "winRate": 0.5
  },
  "timestamp": "<string>"
}

Authorizations

Authorization
string
header
required

Send your API key as: Authorization: Bearer tb_

Path Parameters

identifier
string
required

Organization slug or Convex organization ID.

Response

Organization stats.

Envelope containing stats plus a response timestamp.

stats
object
required

API-safe organization aggregate stats.

timestamp
string
required

ISO 8601 timestamp.